SELECT name, target_name, CAST(xet.target_data AS xml) as event_data
INTO #ringbuffertable
FROM sys.dm_xe_session_targets AS xet  
JOIN sys.dm_xe_sessions AS xe  
   ON (xe.address = xet.event_session_address)  
WHERE xe.name = 'Executionplan' and target_name = 'ring_buffer'

SELECT xed.event_data.value('(@timestamp)[1]', 'datetime2') AS datetime_utc,
CONVERT(datetime2,SWITCHOFFSET(CONVERT(datetimeoffset,xed.event_data.value('(@timestamp)[1]', 'datetime2')),DATENAME(TzOffset, SYSDATETIMEOFFSET()))) AS datetime_local,
xed.event_data.value('(@name)[1]', 'varchar(50)') AS event_type,
xed.event_data.value('(action[@name="sql_text"]/value)[1]', 'varchar(max)') AS statement,
xed.event_data.value('(data[@name="database_name"]/value)[1]', 'varchar(100)') AS DBName,
xed.event_data.value('(data[@name="estimated_rows"]/value)[1]', 'bigint') AS EstimatedRows
FROM #ringbuffertable
CROSS APPLY event_data.nodes('//RingBufferTarget/event') AS xed (event_data)
WHERE 1=1

--https://www.sqlhammer.com/5-extended-events-sessions-sql-server-instance-cannot-live-without/









